View Issue Details

IDProjectCategoryView StatusLast Update
0002564SOGoWeb Generalpublic2014-05-23 14:00
ReporterChristian Mack Assigned Tofrancis  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.1.1b 
Target Version3.0.0Fixed in Version2.2.4 
Summary0002564: All SOGo popups go into background with firefox
Description

When SOGo opens a popup in Firefox on Windows 7 Professional it almost always goes into background.

On these Computers registry key
HKEY_CURRENT_USER\Control Panel\Desktop\ ForegroundLockTimeout
is set to zero.
We have rebooted this machine several times.

Also in Firefox these options are set
dom.disable_window_flip to false
dom.disable_window_move_resize to false

When using Internet Explorer popups are opend in the foreground.

TagsNo tags attached.

Relationships

related to 0002460 resolvedfrancis Share popup window minimizes 
has duplicate 0002567 closedludovic Firefox: Calendar properties window opens behind parent Firefox window 
has duplicate 0002517 resolvedludovic IE Focus error 

Activities

francis

francis

2014-02-12 20:57

administrator   ~0006542

Last edited: 2014-02-12 20:59

View 2 revisions

Try to restart Firefox with add-ons disabled (You'll find this option under the Help menu).

References:
https://bugzilla.mozilla.org/show_bug.cgi?id=790013
https://support.mozilla.org/de/questions/936004

Christian Mack

Christian Mack

2014-02-13 04:56

developer   ~0006545

We did restart Firefox with add-ons disabled.

Then you get the following behaviour:

Open pop-up by clicking on buttons in the menu
=> pop-up opens in the foreground

Open pop-up by double clicks
=> pop-up opens in the foreground

Open pop-up by right click and choose from context menu
=> pop-up opens in the background!!!

Example:
In "Mail" press Button "Reply". => It opens in the foreground.
Double click on an email in the list. => It opens in the foreground.
Right click on an email in the list and choose "Reply to Sender only". => It opens in the background.

Christian Mack

Christian Mack

2014-02-14 06:20

developer   ~0006546

Sorry forgot to mention:
In this Firefox all Plug-Ins are disabled too.

francis

francis

2014-05-12 16:08

administrator   ~0007020

Possible fix:

https://github.com/inverse-inc/sogo/commit/5c41915080eadc24ac524454b56480febcd5a907
https://github.com/inverse-inc/sogo/commit/fbc6856fd57dca21f7dcdc748b452352875e064e

heupink

heupink

2014-05-22 12:51

reporter   ~0007075

I have created a test installation with SOGo nightlies, as of today 22 may.

To me the issues seems fixed now. Thank you very much, Francis!

Issue History

Date Modified Username Field Change
2013-12-20 07:30 Christian Mack New Issue
2013-12-20 07:30 Christian Mack Relationship added related to 0002460
2013-12-31 11:15 francis Relationship added has duplicate 0002567
2014-02-12 20:57 francis Note Added: 0006542
2014-02-12 20:59 francis Note Edited: 0006542 View Revisions
2014-02-13 04:56 Christian Mack Note Added: 0006545
2014-02-14 06:20 Christian Mack Note Added: 0006546
2014-03-09 16:10 ludovic Target Version => 3.0.0
2014-05-12 16:08 francis Note Added: 0007020
2014-05-22 12:51 heupink Note Added: 0007075
2014-05-22 22:11 francis Status new => resolved
2014-05-22 22:11 francis Fixed in Version => 2.2.4
2014-05-22 22:11 francis Resolution open => fixed
2014-05-22 22:11 francis Assigned To => francis
2014-05-23 14:00 francis Relationship added has duplicate 0002517